Bug 11223 - Incorrect ind 1 semantics for MARC21 785 on the detail page in staff
Summary: Incorrect ind 1 semantics for MARC21 785 on the detail page in staff
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Keywords:
Depends on: 15437
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-08 19:31 UTC by drigney
Modified: 2020-10-20 14:56 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 11223: Fix the ind1 semantics for 785 in the staff interface (7.78 KB, patch)
2020-09-21 21:49 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 11223: Fix the ind1 semantics for 785 in the staff interface (7.83 KB, patch)
2020-09-22 02:01 UTC, David Nind
Details | Diff | Splinter Review
Bug 11223: Fix the ind1 semantics for 785 in the staff interface (7.89 KB, patch)
2020-09-25 10:25 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description drigney 2013-11-08 19:31:57 UTC
The first indicator for MARC21 fields 76x-78x should control whether the entire field displays, not whether the $n subfield displays.

To reproduce: view a record that includes a 785 field with indicator 1 set to '1' and the system preference OPACXSLTDetailsDisplay enabled.

The 785 field will show up, but according to the standard no display should be generated when 785 indicator 1 is set to '1'.

In the MARC21slim2intranetDetail.xsl, MARC21 field 785 are always displayed when present, and indicator 1 is used to determine whether or not to display and 785$n.

This was fixed in the opac with bug id 4370.
Comment 1 Katrin Fischer 2015-01-06 21:41:25 UTC
Still valid.
Comment 2 Katrin Fischer 2020-09-21 21:49:53 UTC
Created attachment 110517 [details] [review]
Bug 11223: Fix the ind1 semantics for 785 in the staff interface

For 780 and 785 the field should not display when the first indicator
is 1. After checking the code, I found that 785 in staff was missing.
This patches fixes that one.

To test:
- Catalog a record with 785 and 780 fields with one 1st indicator set to
  0 and another to 1.
- Verify in staff and OPAC detail pages that only the fields with 0 display.
Comment 3 David Nind 2020-09-22 02:01:04 UTC
Created attachment 110525 [details] [review]
Bug 11223: Fix the ind1 semantics for 785 in the staff interface

For 780 and 785 the field should not display when the first indicator
is 1. After checking the code, I found that 785 in staff was missing.
This patches fixes that one.

To test:
- Catalog a record with 785 and 780 fields with one 1st indicator set to
  0 and another to 1.
- Verify in staff and OPAC detail pages that only the fields with 0 display.

Signed-off-by: David Nind <david@davidnind.com>
Comment 4 Katrin Fischer 2020-09-22 07:22:13 UTC
Thx, David!
Comment 5 Martin Renvoize 2020-09-25 10:25:06 UTC
Created attachment 110743 [details] [review]
Bug 11223: Fix the ind1 semantics for 785 in the staff interface

For 780 and 785 the field should not display when the first indicator
is 1. After checking the code, I found that 785 in staff was missing.
This patches fixes that one.

To test:
- Catalog a record with 785 and 780 fields with one 1st indicator set to
  0 and another to 1.
- Verify in staff and OPAC detail pages that only the fields with 0 display.

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 6 Martin Renvoize 2020-09-25 10:25:33 UTC
Another sane and sensible XSLT fix, thanks Katrin

Passing QA
Comment 7 Jonathan Druart 2020-09-28 14:10:56 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 8 Lucas Gass 2020-10-20 14:56:23 UTC
missing 20.05.x dependencies, no backport